package com.steerinfo.ems.trmworkproc.service.impl;

import com.steerinfo.ems.trmworkproc.mapper.TRmWorkprocMapper;
import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.ems.trmworkproc.service.ITRmWorkprocService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * TRmWorkproc服务实现：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmWorkproc服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmWorkprocService")
public class TRmWorkprocServiceImpl extends BaseServiceImpl<TRmWorkproc, String> implements ITRmWorkprocService {

    @Autowired
    private TRmWorkprocMapper tRmWorkprocMapper;

    @Override
    protected IBaseMapper<TRmWorkproc, String> getMapper() {
        return tRmWorkprocMapper;
    }

    public List<TRmWorkproc> getTree(Map<String, Object> parameters){
        List<TRmWorkproc> rows = tRmWorkprocMapper.getTree(parameters);
        return rows;
    }

    public List<TRmWorkproc> getParent(){
        List<TRmWorkproc> rows = tRmWorkprocMapper.getParent();
        return rows;
    }

    @Override
    public List<TRmWorkprocMapper> getIdAndName(Map<String, Object> parameters) {
        return tRmWorkprocMapper.getIdAndName(parameters);
    }

    @Override
    public Integer getMaxSeqNo() {
        return tRmWorkprocMapper.getMaxSeqNo();
    }

}
